Support setting rt-prio and cpu-affinity mask through VTY

Depends: libosmocore.git Change-Id If76a4bd2cc7b3c7adf5d84790a944d78be70e10a
Depends: osmo-gsm-masnuals.git Change-Id Icd75769ef630c3fa985fc5e2154d5521689cdd3c
Related: SYS#4986
Change-Id: Ie68883666657fc8faa76e2422335c0ceb98c5a88
changes/82/19682/2
Pau Espin 2 years ago committed by laforge
parent 6624c22d83
commit da5b2f8094
  1. 6
      TODO-RELEASE
  2. 8
      configure.ac
  3. 2
      debian/control
  4. 2
      doc/manuals/osmobsc-usermanual.adoc
  5. 2
      src/osmo-bsc/osmo_bsc_main.c

@ -7,9 +7,5 @@
# If any interfaces have been added since the last public release: c:r:a + 1.
# If any interfaces have been removed or changed since the last public release: c:r:0.
#library what description / commit summary line
manual needs common chapter cs7-config.adoc from osmo-gsm-manuals > 0.3.0
libosmocore struct gsm0808_diagnostics Depends on libosmocore > 1.3.0
libosmocore gsm0808_diagnostics_octet_location_str() Depends on libosmocore > 1.3.0
libosmocore gsm0808_diagnostics_bit_location_str() Depends on libosmocore > 1.3.0
libosmocore osmo_mobile_identity Depends on libosmocore > 1.3.0
manual needs common chapter cs7-config.adoc, vty_cpu_sched.adoc from osmo-gsm-manuals > 0.3.0
osmo-bsc Mobile Identity Coding OsmoBSC is stricter in rejecting invalid coding of Mobile Identity IEs

@ -49,10 +49,10 @@ AC_ARG_ENABLE([ipaccess-utils], [AS_HELP_STRING([--enable-ipaccess-utils], [Buil
AM_CONDITIONAL(BUILD_IPA_UTILS, test "x$osmo_ac_ipa_utils" = "xyes")
AC_SUBST(osmo_ac_ipa_utils)
PKG_CHECK_MODULES(LIBOSMOCORE, libosmocore >= 1.3.0)
PKG_CHECK_MODULES(LIBOSMOVTY, libosmovty >= 1.3.0)
PKG_CHECK_MODULES(LIBOSMOCTRL, libosmoctrl >= 1.3.0)
PKG_CHECK_MODULES(LIBOSMOGSM, libosmogsm >= 1.3.0)
PKG_CHECK_MODULES(LIBOSMOCORE, libosmocore >= 1.4.0)
PKG_CHECK_MODULES(LIBOSMOVTY, libosmovty >= 1.4.0)
PKG_CHECK_MODULES(LIBOSMOCTRL, libosmoctrl >= 1.4.0)
PKG_CHECK_MODULES(LIBOSMOGSM, libosmogsm >= 1.4.0)
PKG_CHECK_MODULES(LIBOSMOABIS, libosmoabis >= 0.6.0)
PKG_CHECK_MODULES(LIBOSMONETIF, libosmo-netif >= 0.6.0)
PKG_CHECK_MODULES(LIBOSMOSIGTRAN, libosmo-sigtran >= 0.10.0)

2
debian/control vendored

@ -12,7 +12,7 @@ Build-Depends: debhelper (>=9),
python3-minimal,
libcdk5-dev,
libtalloc-dev,
libosmocore-dev (>= 1.3.0),
libosmocore-dev (>= 1.4.0),
libosmo-sccp-dev (>= 0.10.0),
libosmo-sigtran-dev (>= 0.10.0),
libosmo-abis-dev (>= 0.6.0),

@ -42,6 +42,8 @@ include::{srcdir}/chapters/control.adoc[]
include::{srcdir}/chapters/osmux_bsc.adoc[]
include::./common/chapters/vty_cpu_sched.adoc[]
include::./common/chapters/port_numbers.adoc[]
include::./common/chapters/bibliography.adoc[]

@ -53,6 +53,7 @@
#include <osmocom/vty/ports.h>
#include <osmocom/vty/logging.h>
#include <osmocom/vty/command.h>
#include <osmocom/vty/cpu_sched_vty.h>
#include <osmocom/mgcp_client/mgcp_client_endpoint_fsm.h>
@ -843,6 +844,7 @@ int main(int argc, char **argv)
vty_init(&vty_info);
bsc_vty_init(bsc_gsmnet);
ctrl_vty_init(tall_bsc_ctx);
osmo_cpu_sched_vty_init(tall_bsc_ctx);
logging_vty_add_deprecated_subsys(tall_bsc_ctx, "cc");
logging_vty_add_deprecated_subsys(tall_bsc_ctx, "mgcp");
logging_vty_add_deprecated_subsys(tall_bsc_ctx, "nat");

Loading…
Cancel
Save